# InternetLangIdent

Language Identification for internet conversations

## Dependencies
 - Python >= 3.6
 - fasttext (0.9.2)
 - pycountry (20.7.3)
 - unidecode (1.2.0)

## Usage

### Custom FastText wrapper

### Dictionary Identifier

### Ensemble
 - the module itself is located inside of `ensemble` directory

Example usage:

```py
from lang_ident_ensemble import LangIdentEnsemble

model = LangIdentEnsemble()

prediction, confidence = model.identify_language("hi there")
print(prediction, confidence)
```

Output:

```py
en array([1.25572915])
```
